---
- name: install wireguard tools
  pacman:
    name: wireguard-tools
    state: present
- name: determine if LTS kernel is installed
  command: pacman -Q linux-lts
  register: linux_lts_kernel_present
  changed_when: False
  check_mode: no

- name: install wireguard LTS module
  pacman:
    name: wireguard-lts
    state: present
  when: linux_lts_kernel_present.rc == 0

- name: create wireguard config
  template:
    src: networkmanager-wireguard.conf.j2
    dest: /etc/NetworkManager/system-connections/{{ wireguard.connection.id }}.nmconnection
    mode: 0600
    owner: root
    group: root
  notify: restart networkmanager
